OGRE: Ogre::CustomCompositionPass Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions

# Ogre::CustomCompositionPass Class Reference
[Effects]

Interface for custom composition passes, allowing custom operations (in addition to the quad, scene and clear operations) in composition passes. More...

`#include <OgreCustomCompositionPass.h>`

List of all members.

## Public Member Functions
virtual CompositorInstance::RenderSystemOperation * | createOperation (CompositorInstance *instance, const CompositionPass *pass)=0
| Create a custom composition operation.
## Protected Member Functions
virtual | ~CustomCompositionPass ()

## Detailed Description

Interface for custom composition passes, allowing custom operations (in addition to the quad, scene and clear operations) in composition passes.

See also:
  CompositorManager::registerCustomCompositionPass

Definition at line 45 of file OgreCustomCompositionPass.h.

## Constructor & Destructor Documentation

virtual Ogre::CustomCompositionPass::~CustomCompositionPass | ( |  | ) | `[protected, virtual]`

Definition at line 59 of file OgreCustomCompositionPass.h.

## Member Function Documentation

virtual CompositorInstance::RenderSystemOperation* Ogre::CustomCompositionPass::createOperation | ( | CompositorInstance * | instance,
|  | const CompositionPass * | pass |
| ) |  |  | `[pure virtual]`

Create a custom composition operation.

Parameters:

  | pass | The CompositionPass that triggered the request
  | instance | The compositor instance that this operation will be performed in

Remarks:
  This call only happens once during creation. The RenderSystemOperation will get called each render.
  The created operation must be instanciated using the OGRE_NEW macro.

The documentation for this class was generated from the following file:

- OgreCustomCompositionPass.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54